Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SizeProperty Class Reference
[Properties]

`#include <SizeProperty.h>`

Inherits tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >< SizeType, SizeType, SizeAlgorithm >, and tlp::PropertyObserver.

Inheritance diagram for tlp::SizeProperty:

[legend]
Collaboration diagram for tlp::SizeProperty:

[legend]
List of all members.

## Public Member Functions

- SizeProperty (Graph *, std::string n="")
- Size getMax (Graph *sg=0)
- Size getMin (Graph *sg=0)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void scale (const tlp::Vector< float, 3 > &, Graph *sg=0)
- void scale (const tlp::Vector< float, 3 > &, Iterator< node > *, Iterator< edge > *)
- virtual void beforeSetNodeValue (PropertyInterface *prop, const node n)
- virtual void beforeSetEdgeValue (PropertyInterface *prop, const edge e)
- virtual void beforeSetAllNodeValue (PropertyInterface *prop)
- virtual void beforeSetAllEdgeValue (PropertyInterface *prop)

## Protected Member Functions

- void resetMinMax ()

## Friends

- class SizeAlgorithm

## Constructor & Destructor Documentation

tlp::SizeProperty::SizeProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |

## Member Function Documentation

virtual void tlp::SizeProperty::beforeSetAllEdgeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::SizeProperty::beforeSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::SizeProperty::beforeSetEdgeValue | ( | PropertyInterface * | prop,
|  | const edge | e
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::SizeProperty::beforeSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

PropertyInterface* tlp::SizeProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

Size tlp::SizeProperty::getMax | ( | Graph * | sg = `0` | ) |

Size tlp::SizeProperty::getMin | ( | Graph * | sg = `0` | ) |

void tlp::SizeProperty::resetMinMax | ( |  | ) | `[protected]`

void tlp::SizeProperty::scale | ( | const tlp::Vector< float, 3 > & | ,
|  | Iterator< node > * | ,
|  | Iterator< edge > * |
| ) |

void tlp::SizeProperty::scale | ( | const tlp::Vector< float, 3 > & | ,
|  | Graph * | sg = `0`
| ) |

## Friends And Related Function Documentation

friend class SizeAlgorithm `[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010